Package com.smartgwt.client.bean.types

# Class PDoubleValueType

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.NumberValueType<Double>
com.smartgwt.client.bean.types.DoubleValueType
com.smartgwt.client.bean.types.PDoubleValueType

public class PDoubleValueType extends DoubleValueType

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PDoubleValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class`
  `getValueType()`
  `protected Double`
  `nullValue()`
  `static void`
  `registerValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.types.DoubleValueType

  `convertabilityFrom, convertFrom, isAssignableFrom`

  ### Methods inherited from class com.smartgwt.client.bean.types.NumberValueType

  `convertStringToNumber`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PDoubleValueType

    public PDoubleValueType()

- ## Method Details

  - ### registerValueType

    public static void registerValueType()

  - ### getValueType

    protected Class getValueType()
    Overrides:
      `getValueType` in class `DoubleValueType`

  - ### nullValue

    protected Double nullValue()
    Overrides:
      `nullValue` in class `BeanValueType<Double>`